diff --git a/notebook_nueva/model.stl b/notebook_nueva/model.stl index a09fbb9..95110fe 100644 Binary files a/notebook_nueva/model.stl and b/notebook_nueva/model.stl differ diff --git a/notebook_nueva/modelo.py b/notebook_nueva/modelo.py index 687c48a..2f1d33f 100644 --- a/notebook_nueva/modelo.py +++ b/notebook_nueva/modelo.py @@ -75,18 +75,6 @@ def model(): # Now the basic box shape is in place, start adding things # and cutting holes. - model = keyboard.add( - model=model, - width=width, - height=height, - thickness=thickness, - bottom_face=">Z", # Yes >Z - back_face=None, - offset_x=0, - offset_y=height - keyboard.kbd_height, - shell_t=shell_t, - ) - model = usb_hub.add( model=model, width=width, @@ -149,6 +137,18 @@ def model(): shell_t=shell_t, ) + model = keyboard.add( + model=model, + width=width, + height=height, + thickness=thickness, + bottom_face=">Z", # Yes >Z + back_face=None, + offset_x=0, + offset_y=height - keyboard.kbd_height, + shell_t=shell_t, + ) + return model diff --git a/notebook_nueva/usb_hub.py b/notebook_nueva/usb_hub.py index 4553d31..16d8a13 100644 --- a/notebook_nueva/usb_hub.py +++ b/notebook_nueva/usb_hub.py @@ -23,10 +23,7 @@ elements = [ "x": 0, "y": 5, "shape": ( - cq.Sketch() - .trapezoid(22, 10, 90, mode="a") - .trapezoid(17, 10, 90, mode="s") - .clean() + cq.Sketch().trapezoid(22, 10, 90, mode="a").trapezoid(17, 10, 90, mode="s") ), "height": 8, } @@ -47,6 +44,7 @@ def add( ): # USB Hub extrusions + print(offset_x) if bottom_face: for element in elements: model = extrude_shape( @@ -54,8 +52,8 @@ def add( face=bottom_face, w=width, h=height, - x_offset=offset_x, - y_offset=shell_t + offset_y, + x_offset=263, # offset_x, + y_offset=0, # shell_t + offset_y, element=element, height=-(element["height"] + shell_t), )